{
  pkgs,
  inputs,
  ...
}: {
  home.packages = with pkgs; [
    matugen
    psmisc # for killall
  ];
  home.file.".config/matugen/config.toml" = {
    source = ./config.toml;
  };

  home.file.".config/matugen/templates" = {
    source = ./templates;
    recursive = true;
  };

  programs.ghostty.settings.theme = "matugen";
  programs.starship.enable = true;
  wayland.windowManager.hyprland.settings.source = ["./matugen.conf"];
  programs.walker.config.theme = "nixos";
}
